Subject: Re: More exim, and fcntl lock problems
From: "Pierre A. Humblet" <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Sun, 02 Dec 2001 14:21:50 -0500

Thanks for the encouragements, Chuck.
Exim is very well written and I was able to modify some
macros to used gdbm. The database seems to work on Win98.
So one Cygwin related problem remains: 
the interaction between fork and fcntl locking.

Pierre
   
At 04:39 PM 11/30/01 -0500, Charles Wilson wrote:
>"Pierre A. Humblet" wrote:
>
>> That's where the bad news start, I tried Win98 and NT.
>> 1) Under Win98 I hit issues that were traced to gdbm
>> emulation of ndbm on FAT
>> http://cygwin.com/ml/cygwin/2001-11/msg01793.html
>> That looks hopeless to me. Please tell me I am wrong!
>
>Not totally.  See cvs-1.10-1 announcement, and the patchfile within
>cygwin's cvs-1.10-1-src tarball.  Basically, there are two solutions;
>  1) convert exim over to use the gdbm interface (only one file, no
>worries about timestamp sync between two files, no hardlink/cp
>problems).
>  2) write your own wrapper functions for all "ndbm" calls, that thunk
>to actual gdbm (not ndbm emulation in gdbm) calls.  This is what I did
>to get cvs repositories to host on FAT.
>  
>--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/